// -*-C++-*-
/*!
 * @file  LRFInfoSVC_impl.h
 * @brief Service implementation header of LRFInfo.idl
 *
 */

#include "LRFInfoSkel.h"
#include "structure.h"


#ifndef LRFINFOSVC_IMPL_H
#define LRFINFOSVC_IMPL_H
 
/*
 * Example class implementing IDL interface LRFInfo
 */
class LRFInfoSVC_impl
 : public virtual POA_LRFInfo,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~LRFInfoSVC_impl();
  LRFInformation *info;

 public:
   // standard constructor
   LRFInfoSVC_impl(LRFInformation *info_p);
   virtual ~LRFInfoSVC_impl();

   // attributes and operations
   CORBA::Short getTotalScanPoints();
   CORBA::Double getResolution();
   CORBA::Double getOffsetFOV();

};



#endif // LRFINFOSVC_IMPL_H


